GNU bug report logs - #25756
Problems using "parted ... print" on nvme devices

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Douglas Miller <dougmill@HIDDEN>; dated Thu, 16 Feb 2017 16:35:03 UTC; Maintainer for parted is bug-parted@HIDDEN.

Message received at 25756 <at> debbugs.gnu.org:


Received: (at 25756) by debbugs.gnu.org; 19 Apr 2017 13:00:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 19 09:00:21 2017
Received: from localhost ([127.0.0.1]:55676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d0pDY-0005Zm-Qd
	for submit <at> debbugs.gnu.org; Wed, 19 Apr 2017 09:00:21 -0400
Received: from mail-ua0-f196.google.com ([209.85.217.196]:35931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phillsusi@HIDDEN>) id 1d0pDW-0005ZU-Go
 for 25756 <at> debbugs.gnu.org; Wed, 19 Apr 2017 09:00:19 -0400
Received: by mail-ua0-f196.google.com with SMTP id q26so2100357uaa.3
 for <25756 <at> debbugs.gnu.org>; Wed, 19 Apr 2017 06:00:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=GvK5lD3d01XDYxfgbn68xXZssF31Pll2LWdMNtpv7FI=;
 b=h9yP9ZU8VMfVRTZr8+l17VSSibEFl7uK1OoVE7CAL/fApUvTXdIclRsyybVJ9CMmKU
 iZQZ24RSG4BrLHtWIwq+RJJuQvkiDQxVCE6LlVQM3Tp3DtDxg9jp8z5idC4nThyxpCX1
 qMHBrN2HeUDiQi2HxONf8V/cvJyjbhpgulsQZO+DZbFnbJF/F4okBHuxRNIB9zRNynrl
 K5fTvjMRjE1j6I63YV6vbHe+yfiz4lvLnWd/fc0b2lfGpQlLw+5Mb4wI/+SOmEPjkdJ3
 5qwdr57ExFFlpq26V/Kup2dvCRZjjA44dr/1dxZoy/Jjk3P9iY8CP/tzUUsVJQxc232i
 SBVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=GvK5lD3d01XDYxfgbn68xXZssF31Pll2LWdMNtpv7FI=;
 b=qcacGiUsk3WAuHgRy4JUWqQVW4311wrdvMp70+9dS8OFwVD2TAbclKe1ogy81uem0L
 GtQ1xNK9SCOYh9a4Q3Fmi4D0rfcZoKKaIKgNULzqR+KBIo1f6X9NRWppNKhOcJxcSrmX
 GORkmy3pjW6LYBDYT1/uIxU6uH1uuAD5GSuZBlOEDIbzbVyjlTfF36V/ADluvHi0mv3K
 fs3K1uI2whg3/c7xX7fGywuKqCdJw97klPOnbfXURXDWsvThnvToeOj2uN5HxCIhbBk+
 X4TRkwaR22utaWFRDQERfJkgrb6jGiQxeXBhvJK6/Fi8j9YeDyHl0x3dNEMAG3NRiRXw
 NBAg==
X-Gm-Message-State: AN3rC/7ApUJCtPPnGZNeMz8hQxrhT8rfO3bW+6yXSrjrQ3KpB7gYAk5+
 +R9cwm/BTioLIQ==
X-Received: by 10.31.33.216 with SMTP id h207mr1077328vkh.26.1492606812634;
 Wed, 19 Apr 2017 06:00:12 -0700 (PDT)
Received: from [10.1.1.184] (fl-67-77-88-12.sta.embarqhsd.net. [67.77.88.12])
 by smtp.googlemail.com with ESMTPSA id
 i1sm589805uah.27.2017.04.19.06.00.11
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 19 Apr 2017 06:00:12 -0700 (PDT)
Subject: Re: systemd mucking with partition tables ( was: bug#25756: Problems
 using "parted ... print" on nvme devices )
To: "Brian C. Lane" <bcl@HIDDEN>, 25756 <at> debbugs.gnu.org
References: <6d39b347-1b01-68d1-a3f3-91e6dcadf08f@HIDDEN>
 <20170216173218.GQ2666@HIDDEN>
From: Phil Susi <psusi@HIDDEN>
Message-ID: <caa950c5-52f2-7f5a-3052-70758e9a53d3@HIDDEN>
Date: Wed, 19 Apr 2017 09:01:55 -0400
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <20170216173218.GQ2666@HIDDEN>
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 25756
Cc: systemd-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

On 2/16/2017 12:32 PM, Brian C. Lane wrote:
> I think the tricky part of that is going to be that when we open the
> device we don't really know what commands are going to be issued so it
> needs to be RDWR to allow for all the other possibilities.

I'm sure I have seen a patch floating around somewhere and been meaning
to merge it for some time that opens the device RO at first, then
switches to RW if and when it is required.  We should do that, but...

> There should be some way to lock out udev during your tests.

Why the hell has udev started mucking with the partition tables and dev
nodes every time someone opens the block device rw?  Parted and other
partitioning tools have always manipulated the in memory partition table
themselves after updating the disk, so why does systemd now think this
is its responsibility?

Parted takes care to only manipulate the individual partitions that have
changed, but I'm not sure that systemd doesn't just blow them all way
and recreate them all, causing significant system wide disruption.
There are some open bugs in Ubuntu for the unity desktop where drives
you have unlocked from your hotbar reappear due to them being "removed"
and reappearing due to this behavior.  systemd should stop this nonsense.





Information forwarded to bug-parted@HIDDEN:
bug#25756; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Feb 2017 17:32:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 16 12:32:36 2017
Received: from localhost ([127.0.0.1]:42485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cePv2-0005Jz-5W
	for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 12:32:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bcl@HIDDEN>) id 1cePv0-0005Jm-I5
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 12:32:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1cePuu-0006QV-Gy
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 12:32:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37003)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bcl@HIDDEN>) id 1cePuu-0006QK-Da
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 12:32:28 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48413)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1cePut-00018l-8K
 for bug-parted@HIDDEN; Thu, 16 Feb 2017 12:32:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1cePup-0006Om-Ua
 for bug-parted@HIDDEN; Thu, 16 Feb 2017 12:32:27 -0500
Received: from mx1.redhat.com ([209.132.183.28]:56002)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bcl@HIDDEN>) id 1cePup-0006O7-PK
 for bug-parted@HIDDEN; Thu, 16 Feb 2017 12:32:23 -0500
Received: from int-mx10.intmail.prod.int.phx2.redhat.com
 (int-mx10.intmail.prod.int.phx2.redhat.com [10.5.11.23])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mx1.redhat.com (Postfix) with ESMTPS id F3112C0567A1
 for <bug-parted@HIDDEN>; Thu, 16 Feb 2017 17:32:22 +0000 (UTC)
Received: from lister.brianlane.com (ovpn-112-16.phx2.redhat.com [10.3.112.16])
 by int-mx10.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 v1GHWKeo011765
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <bug-parted@HIDDEN>; Thu, 16 Feb 2017 12:32:22 -0500
Date: Thu, 16 Feb 2017 09:32:18 -0800
From: "Brian C. Lane" <bcl@HIDDEN>
To: bug-parted@HIDDEN
Subject: Re: bug#25756: Problems using "parted ... print" on nvme devices
Message-ID: <20170216173218.GQ2666@HIDDEN>
References: <6d39b347-1b01-68d1-a3f3-91e6dcadf08f@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <6d39b347-1b01-68d1-a3f3-91e6dcadf08f@HIDDEN>
User-Agent: Mutt/1.7.1 (2016-10-04)
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.23
X-Greylist: Sender IP whitelisted, not delayed by milter-greylist-4.5.16
 (mx1.redhat.com [10.5.110.32]); Thu, 16 Feb 2017 17:32:23 +0000 (UTC)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

On Thu, Feb 16, 2017 at 09:08:44AM -0600, Douglas Miller wrote:
> We have seen a problem in some test infrastructure that uses "parted ...
> print" to query partition information and then configure test cases. The
> problem shows up when using parted on nvme drives because systemd.udevd is
> monitoring nvme devices for changes to the partition tables, and rebuilds
> the devices. This results in the devices disappearing for a few seconds
> after running "parted ... print" and causing failures to configure tests.
> The root cause is that parted opens the device "O_RDWR" regardless of
> whether it is actually modifying the partition table, and this notifies
> systemd-udevd causing the disruption in the block devices.
> 
> I have not worked up a patch yet, or even studied the code in-depth, but it
> seems to me that parted could be better about using open modes that reflect
> it's true intentions. Does that seem like a reasonable change?
> 
> I expect that our test infrastructure will have to be modified, probably to
> use fdisk or something other than parted, but it still seems like something
> to be fixed.

I think the tricky part of that is going to be that when we open the
device we don't really know what commands are going to be issued so it
needs to be RDWR to allow for all the other possibilities.

There should be some way to lock out udev during your tests.

-- 
Brian C. Lane (PST8PDT)




Information forwarded to bug-parted@HIDDEN:
bug#25756; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Feb 2017 16:34:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 16 11:34:47 2017
Received: from localhost ([127.0.0.1]:42406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ceP14-0003sP-9F
	for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 11:34:47 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dougmill@HIDDEN>) id 1ceNg8-0001rY-VF
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 10:09:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dougmill@HIDDEN>) id 1ceNg3-0006iE-3B
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 10:08:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47989)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dougmill@HIDDEN>)
 id 1ceNg2-0006iA-Vy
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 10:08:59 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:32967)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dougmill@HIDDEN>) id 1ceNg1-0006jM-Nq
 for bug-parted@HIDDEN; Thu, 16 Feb 2017 10:08:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dougmill@HIDDEN>) id 1ceNfy-0006gV-J4
 for bug-parted@HIDDEN; Thu, 16 Feb 2017 10:08:57 -0500
Received: from mx0a-001b2d01.pphosted.com ([148.163.156.1]:36614)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dougmill@HIDDEN>)
 id 1ceNfy-0006g6-9z
 for bug-parted@HIDDEN; Thu, 16 Feb 2017 10:08:54 -0500
Received: from pps.filterd (m0098409.ppops.net [127.0.0.1])
 by mx0a-001b2d01.pphosted.com (8.16.0.20/8.16.0.20) with SMTP id
 v1GEwfa8031555
 for <bug-parted@HIDDEN>; Thu, 16 Feb 2017 10:08:51 -0500
Received: from e36.co.us.ibm.com (e36.co.us.ibm.com [32.97.110.154])
 by mx0a-001b2d01.pphosted.com with ESMTP id 28nanua5pv-1
 (version=TLSv1.2 cipher=AES256-SHA bits=256 verify=NOT)
 for <bug-parted@HIDDEN>; Thu, 16 Feb 2017 10:08:51 -0500
Received: from localhost
 by e36.co.us.ibm.com with IBM ESMTP SMTP Gateway: Authorized Use Only!
 Violators will be prosecuted
 for <bug-parted@HIDDEN> from <dougmill@HIDDEN>;
 Thu, 16 Feb 2017 08:08:50 -0700
Received: from d03dlp03.boulder.ibm.com (9.17.202.179)
 by e36.co.us.ibm.com (192.168.1.136) with IBM ESMTP SMTP Gateway: Authorized
 Use Only! Violators will be prosecuted; 
 Thu, 16 Feb 2017 08:08:47 -0700
Received: from b01cxnp22034.gho.pok.ibm.com (b01cxnp22034.gho.pok.ibm.com
 [9.57.198.24])
 by d03dlp03.boulder.ibm.com (Postfix) with ESMTP id 9A70019D8048
 for <bug-parted@HIDDEN>; Thu, 16 Feb 2017 08:07:59 -0700 (MST)
Received: from b01ledav03.gho.pok.ibm.com (b01ledav003.gho.pok.ibm.com
 [9.57.199.108])
 by b01cxnp22034.gho.pok.ibm.com (8.14.9/8.14.9/NCO v10.0) with ESMTP id
 v1GF8f3o41550040; Thu, 16 Feb 2017 15:08:45 GMT
Received: from b01ledav03.gho.pok.ibm.com (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id C6573B205D;
 Thu, 16 Feb 2017 10:08:44 -0500 (EST)
Received: from oc5780617838.ibm.com (unknown [9.80.104.105])
 by b01ledav03.gho.pok.ibm.com (Postfix) with ESMTP id 6D61FB2052;
 Thu, 16 Feb 2017 10:08:44 -0500 (EST)
To: bug-parted@HIDDEN
From: Douglas Miller <dougmill@HIDDEN>
Subject: Problems using "parted ... print" on nvme devices
Date: Thu, 16 Feb 2017 09:08:44 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.7.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-TM-AS-GCONF: 00
X-Content-Scanned: Fidelis XPS MAILER
x-cbid: 17021615-0020-0000-0000-00000B654297
X-IBM-SpamModules-Scores: 
X-IBM-SpamModules-Versions: BY=3.00006627; HX=3.00000240; KW=3.00000007;
 PH=3.00000004; SC=3.00000203; SDB=6.00822811; UDB=6.00402573; IPR=6.00600257; 
 BA=6.00005146; NDR=6.00000001; ZLA=6.00000005; ZF=6.00000009; ZB=6.00000000;
 ZP=6.00000000; ZH=6.00000000; ZU=6.00000002; MB=3.00014307; XFM=3.00000011;
 UTC=2017-02-16 15:08:48
X-IBM-AV-DETECTION: SAVI=unused REMOTE=unused XFE=unused
x-cbparentid: 17021615-0021-0000-0000-00005A2B6BC6
Message-Id: <6d39b347-1b01-68d1-a3f3-91e6dcadf08f@HIDDEN>
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10432:, ,
 definitions=2017-02-16_10:, , signatures=0
X-Proofpoint-Spam-Details: rule=outbound_notspam policy=outbound score=0
 spamscore=0 suspectscore=1
 malwarescore=0 phishscore=0 adultscore=0 bulkscore=0 classifier=spam
 adjust=0 reason=mlx scancount=1 engine=8.0.1-1612050000
 definitions=main-1702160144
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 16 Feb 2017 11:34:45 -0500
Cc: Guilherme Piccoli <gpiccoli@HIDDEN>, chavez@HIDDEN,
 ruddk@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

We have seen a problem in some test infrastructure that uses "parted ... 
print" to query partition information and then configure test cases. The 
problem shows up when using parted on nvme drives because systemd.udevd 
is monitoring nvme devices for changes to the partition tables, and 
rebuilds the devices. This results in the devices disappearing for a few 
seconds after running "parted ... print" and causing failures to 
configure tests. The root cause is that parted opens the device "O_RDWR" 
regardless of whether it is actually modifying the partition table, and 
this notifies systemd-udevd causing the disruption in the block devices.

I have not worked up a patch yet, or even studied the code in-depth, but 
it seems to me that parted could be better about using open modes that 
reflect it's true intentions. Does that seem like a reasonable change?

I expect that our test infrastructure will have to be modified, probably 
to use fdisk or something other than parted, but it still seems like 
something to be fixed.


Thoughts?

Thanks,

Doug





Acknowledgement sent to Douglas Miller <dougmill@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#25756; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 19 Apr 2017 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.